Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## netscape.security
Class Principal

    java.lang.Object
      netscape.security.Principal

    public final class Principal

extends java.lang.Object

Field Summary
`static int` | `CERT`
`static int` | `CERT_FINGERPRINT`
`static int` | `CERT_KEY`
`static int` | `CODEBASE_EXACT`
`static int` | `CODEBASE_REGEXP`

Constructor Summary
`Principal()`
`Principal(int type, byte[] value)`
`Principal(int type, byte[] value, java.lang.Class cl)`
`Principal(int type, java.lang.String value)`
`Principal(java.net.URL url)`

Method Summary
`boolean` | `equals(java.lang.Object prin)`
`java.lang.String` | `getFingerPrint()`
`java.lang.String` | `getNickname()`
`java.lang.String` | `getVendor()`
`int` | `hashCode()`
`boolean` | `isCert()`
`boolean` | `isCertFingerprint()`
`boolean` | `isCodebase()`
`boolean` | `isCodebaseExact()`
`boolean` | `isCodebaseRegexp()`
`boolean` | `isSystemPrincipal()`
`java.lang.String` | `toString()`
`java.lang.String` | `toVerboseHtml()`
`java.lang.String` | `toVerboseString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CODEBASE_EXACT

    public static final int CODEBASE_EXACT

See Also:
  Constant Field Values

### CODEBASE_REGEXP

    public static final int CODEBASE_REGEXP

See Also:
  Constant Field Values

### CERT

    public static final int CERT

See Also:
  Constant Field Values

### CERT_FINGERPRINT

    public static final int CERT_FINGERPRINT

See Also:
  Constant Field Values

### CERT_KEY

    public static final int CERT_KEY

See Also:
  Constant Field Values

Constructor Detail

### Principal

    public Principal()

### Principal

    public Principal(java.net.URL url)

### Principal

    public Principal(int type,
                     java.lang.String value)

### Principal

    public Principal(int type,
                     byte[] value)

### Principal

    public Principal(int type,
                     byte[] value,
                     java.lang.Class cl)

Method Detail

### equals

    public boolean equals(java.lang.Object prin)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### isCodebase

    public boolean isCodebase()

### isCodebaseExact

    public boolean isCodebaseExact()

### isCodebaseRegexp

    public boolean isCodebaseRegexp()

### isCert

    public boolean isCert()

### isCertFingerprint

    public boolean isCertFingerprint()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toVerboseString

    public java.lang.String toVerboseString()

### getVendor

    public java.lang.String getVendor()

### toVerboseHtml

    public java.lang.String toVerboseHtml()

### getFingerPrint

    public java.lang.String getFingerPrint()

### getNickname

    public java.lang.String getNickname()

### isSystemPrincipal

    public boolean isSystemPrincipal()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD